.TH LV2PROC 1 "FEBRUARY 2013"
.SH NAME
lv2proc \- a simple command line effect processor using LV2 plugins
.SH SYNOPSIS
lv2proc [
.I options
]
.B -i 
.I input
.B -o 
.I output plugin
.br
lv2proc -h|--help
.br
lv2proc --version
.SH DESCRIPTION
.B lv2proc
generates an
.I output
sound file by applying a LV2 effect plugin to an
.I input
sound file.
.SH OPTIONS
.TP
.B \-h, \-\-help
Print a short description of the command line options on the standard output and
quit.
.TP
.B \-\-version
Print version and copyright information on the standard output and quit.
.TP
.B -i \fIinput\fP
Indicates the
.I input
sound file.
.TP
.B -o \fIoutput\fP
Indicates the \fIoutput\fP sound file.
.TP
.I plugin
LV2 plugin URI.
.TP
.B -n \fIframes\fP
Number of audio frames to be processed at each cycle (default is 512).
.TP
.B -c \fIport\fP:\fIvalue\fP
Assigns \fIvalue\fP to the port identified by port symbol \fIport\fP.
The specified port must be a control input port and \fIvalue\fP must be a
floating-point number in a form that
.BR strtof (3)
undestands, assuming that the "C" locale is being used.
.TP
.B --with-latency
Disables latency compensation that is generously offered to you by default.
.TP
.B --timing
Report some timing statistics on the standard output after sound processing.
.TP
.B --normalize
Normalize the \fIoutput\fP file by applying the same gain factor to all
channels. No fancy loudness estimation going on here, just trying to make use of
the whole dynamic range of the output file format.
.SH ENVIRONMENT
.TP
.B LV2_PATH
Used to override the list of directories where LV2 plugin bundles are looked for
(as per LV2 FHS, see
<http://lv2plug.in/trac/wiki/Filesystem_Hierarchy_Standard>).
.SH AUTHOR
Stefano D'Angelo <zanga dot mail at gmail dot com>
.SH "SEE ALSO"
.BR lv2ls (1),
.BR lv2info (1)
